创建任务-sujaykhandekar/object-removal
方法: POST路径: /replicate/v1/predictions
https://replicate.com/sujaykhandekar/object-removal?input=http 从图像中删除指定的对象
请求参数
Header 参数
text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}Body 参数 application/json
text
version
string
必需
input
object
必需
seed
integer
必需
image
string
必需
steps
integer
必需
prompt
string
必需
cfg_scale
integer
必需
scheduler
string
必需
sampler_name
string
必需
negative_prompt
string
必需
denoising_strength
number
必需
outpaint_direction
string
必需
overlay_original_img
boolean
必需
示例
{
"version"
:
"153b0087c2576ad30d8cbddb35275b387d1a6bf986bda5499948f843f6460faf"
,
"input"
:
{
"image_path"
:
"https://replicate.delivery/mgxm/ea0bab67-b35e-45d8-b0ea-fd3971de3dbd/shop.jpg"
,
"objects_to_remove"
:
"person"
}
}请求示例代码
Shell
bash
curl --location --request POST '/replicate/v1/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"version": "153b0087c2576ad30d8cbddb35275b387d1a6bf986bda5499948f843f6460faf",
"input": {
"image_path": "https://replicate.delivery/mgxm/ea0bab67-b35e-45d8-b0ea-fd3971de3dbd/shop.jpg",
"objects_to_remove": "person"
}
}'返回响应
🟢 200 成功
内容类型: application/json
响应结构
text
object示例
json
{}